- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKStyleContext Class Reference

`#include <IWORKStyleContext.h>`

Inheritance diagram for libetonyek::IWORKStyleContext:

## Public Member Functions
| IWORKStyleContext (IWORKXMLParserState &state, IWORKStyleMap_t *styleMap=0, bool nested=false)
| IWORKStyleContext (IWORKXMLParserState &state, IWORKPropertyMap &props, IWORKStyleMap_t *styleMap=0, bool nested=false)
| IWORKStyleContext (IWORKXMLParserState &state, IWORKPropertyMap &props, IWORKStyleMap_t *styleMap=0, const char *defaultParent=0, bool nested=false)
virtual void | attribute (int name, const char *value)
virtual void | endOfElement ()
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
virtual IWORKXMLContextPtr_t | element (int name)

## Private Attributes
IWORKStyleMap_t *const | m_styleMap
const std::string | m_defaultParent
const bool | m_nested
IWORKPropertyMap | m_ownProps
IWORKPropertyMap & | m_props
boost::optional< std::string > | m_ident
boost::optional< std::string > | m_parentIdent

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

libetonyek::IWORKStyleContext::IWORKStyleContext | ( | IWORKXMLParserState & | state,
|  | IWORKStyleMap_t * | styleMap = `0`,
|  | bool | nested = `false`
| ) |  |

libetonyek::IWORKStyleContext::IWORKStyleContext | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | props,
|  | IWORKStyleMap_t * | styleMap = `0`,
|  | bool | nested = `false`
| ) |  |

libetonyek::IWORKStyleContext::IWORKStyleContext | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | props,
|  | IWORKStyleMap_t * | styleMap = `0`,
|  | const char * | defaultParent = `0`,
|  | bool | nested = `false`
| ) |  |

## Member Function Documentation

void libetonyek::IWORKStyleContext::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| virtual

Referenced by libetonyek::KEY2StyleContext::attribute(), and libetonyek::PAG1StyleContext::attribute().

IWORKXMLContextPtr_t libetonyek::IWORKStyleContext::element | ( | int | name | ) |
| private virtual

void libetonyek::IWORKStyleContext::endOfElement | ( |  | ) |
| virtual

Referenced by libetonyek::PAG1StyleContext::endOfElement().

## Member Data Documentation

const std::string libetonyek::IWORKStyleContext::m_defaultParent
| private

Referenced by endOfElement().

boost::optional<std::string> libetonyek::IWORKStyleContext::m_ident
| private

Referenced by attribute(), and endOfElement().

const bool libetonyek::IWORKStyleContext::m_nested
| private

Referenced by endOfElement().

IWORKPropertyMap libetonyek::IWORKStyleContext::m_ownProps
| private

boost::optional<std::string> libetonyek::IWORKStyleContext::m_parentIdent
| private

Referenced by attribute(), and endOfElement().

IWORKPropertyMap& libetonyek::IWORKStyleContext::m_props
| private

Referenced by element(), and endOfElement().

IWORKStyleMap_t* const libetonyek::IWORKStyleContext::m_styleMap
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- IWORKStyleContext.h
- IWORKStyleContext.cpp